import { AfterViewInit, ElementRef, ChangeDetectorRef } from '@angular/core';
import { MatDialogRef } from '@angular/material';
import { Feedback } from '../entity/feedback';
import { FeedbackInternalService } from '../feedback.service';
import { Rectangle } from '../entity/rectangle';
export interface FeedbackDialogData {
    descriptionRequired: boolean;
}
export declare class FeedbackDialogComponent implements AfterViewInit {
    dialogRef: MatDialogRef<FeedbackDialogComponent>;
    data: FeedbackDialogData;
    private feedbackService;
    private detector;
    private el;
    showToolbar: boolean;
    vars: object;
    feedback: Feedback;
    includeScreenshot: boolean;
    showSpinner: boolean;
    screenshotEle: HTMLElement;
    drawCanvas: HTMLCanvasElement;
    showToolbarTips: boolean;
    screenshotParent: ElementRef;
    drawColor: string;
    rectangles: Rectangle[];
    private scrollWidth;
    private scrollHeight;
    private elCouldBeHighlighted;
    private manuallyDrawRect$;
    private autoDrawRect$;
    isDrawingRect: boolean;
    descriptionRequired: boolean;
    constructor(dialogRef: MatDialogRef<FeedbackDialogComponent>, data: FeedbackDialogData, feedbackService: FeedbackInternalService, detector: ChangeDetectorRef, el: ElementRef);
    ngAfterViewInit(): void;
    expandDrawingBoard(): void;
    onEscapeKeyDownHandler(evt: KeyboardEvent): void;
    manipulate(manipulation: string): void;
    onSend(): void;
    startDraw(color: string): void;
    isIncludeScreenshot(): void;
    private appendScreenshot;
    private initBackgroundCanvas;
    private drawContainerRect;
    private drawRectangle;
    private addCanvasListeners;
    private changeRectPosition;
    private destroyCanvasListeners;
    private manuallyDrawRect;
    private autoDrawRect;
    private drawPersistCanvasRectangles;
    private drawTempCanvasRectangle;
    closeRect(index: number): void;
    private isExcludeRect;
}
