import { EventEmitter, OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { MatDialog } from '@angular/material';
import { FeedbackInternalService } from './feedback.service';
import { Overlay } from '@angular/cdk/overlay';
import { Feedback } from './entity/feedback';
export declare class SendResultFeedback extends Feedback {
    success?: boolean;
    error?: string;
}
export declare class FeedbackDirective implements OnInit, OnChanges {
    private dialogRef;
    private feedbackService;
    private overlay;
    title: string;
    placeholder: string;
    editTip: string;
    checkboxLabel: string;
    cancelLabel: string;
    sendLabel: string;
    moveToolbarTip: string;
    drawRectTip: string;
    highlightTip: string;
    hideTip: string;
    editDoneLabel: string;
    descriptionRequired: boolean;
    description: string;
    allowTaint: boolean;
    send: EventEmitter<Partial<SendResultFeedback>>;
    constructor(dialogRef: MatDialog, feedbackService: FeedbackInternalService, overlay: Overlay);
    onClick(): void;
    openFeedbackDialog(): void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
}
